Last Comment Bug 580283 - Update addons.mozilla.org on 7/22 @ 1600
: Update addons.mozilla.org on 7/22 @ 1600
Status: VERIFIED FIXED
07/22/2010 @ 4pm
:
Product: Infrastructure & Operations
Classification: Other
Component: WebOps: Other (show other bugs)
: other
: All Other
: -- normal (vote)
: ---
Assigned To: Jeremy Orem [:oremj]
: matthew zeier [:mrz]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-20 09:53 PDT by Wil Clouser [:clouserw]
Modified: 2013-10-09 10:29 PDT (History)
8 users (show)
mzeier: needs‑downtime+
See Also:
Due Date:
QA Whiteboard:
Iteration: ---
Points: ---
Cab Review: ServiceNow Change Request (use flag)


Attachments

Description Wil Clouser [:clouserw] 2010-07-20 09:53:56 PDT
Details to follow
Comment 1 Wil Clouser [:clouserw] 2010-07-20 09:58:49 PDT
We should be downtime free, but I'll verify that closer to the date.  We're passing our long running queries off onto the downtime on Saturday.
Comment 2 Shyam Mani [:fox2mike] 2010-07-21 03:58:39 PDT
As always, punting to the AMO master, oremj :D
Comment 3 Wil Clouser [:clouserw] 2010-07-22 09:56:25 PDT
0) Give us a diff of settings_local.py so we can see if there are any important things we need to add.

1) git fetch && git co -f origin/5.11.5

2) git submodule update --init

3) cd vendor; git co -f origin/5.11.5; git submodule update --init; cd ..

4) whack any .pyc files

5) ./manage.py compress_assets

6) schematic migrations  # This took about 30 seconds for me.  I assume it will be less in prod.

7) Push the new site to the webhead (AMO + SAMO)

8) Clear memcache

9) Restart celeryd

10) import scripts/crontab/prod to crontab
Comment 4 Jeremy Orem [:oremj] 2010-07-22 16:18:50 PDT
[root@mradm02 bin]# ./zamboni_quick_update.sh /data/amo_python/src/prod/zamboni 5.11.5 -v
+ git fetch -t origin
remote: Counting objects: 9, done.
remote: Compressing objects: 100% (5/5), done.
remote: Total 5 (delta 4), reused 0 (delta 0)
Unpacking objects: 100% (5/5), done.
From git://github.com/jbalogh/zamboni
 * [new tag]         5.11.5     -> 5.11.5
+ git checkout 5.11.5
M	locale
Previous HEAD position was 91f4df9... catch weird errors
HEAD is now at 44cd44b... only count uuid=None; those are verified transactions
+ git submodule update --init
remote: Counting objects: 550, done.
remote: Compressing objects: 100% (178/178), done.
remote: Total 471 (delta 277), reused 471 (delta 277)
Receiving objects: 100% (471/471), 8.98 MiB | 2.97 MiB/s, done.
Resolving deltas: 100% (277/277), completed with 36 local objects.
From git://github.com/clouserw/amo-locales
   375369d..1adbbad  master     -> origin/master
Submodule path 'locale': checked out '1adbbad576057083f9482581097418c5006e78e1'
+ set +x
+ git fetch -t origin
+ git checkout 5.11.5
HEAD is now at 44cd44b... only count uuid=None; those are verified transactions
+ git submodule update --init
+ set +x
Push live? [y/n]: n
[root@mradm02 bin]# ./zamboni_quick_update.sh /data/amo_python/src/services.prod/zamboni 5.11.5 -v
+ git fetch -t origin
remote: Counting objects: 606, done.
remote: Compressing objects: 100% (294/294), done.
remote: Total 369 (delta 272), reused 81 (delta 56)
Receiving objects: 100% (369/369), 58.39 KiB, done.
Resolving deltas: 100% (272/272), completed with 111 local objects.
From git://github.com/jbalogh/zamboni
 * [new tag]         5.11.1.1   -> 5.11.1.1
 * [new tag]         5.11.1.2   -> 5.11.1.2
 * [new tag]         5.11.1.3   -> 5.11.1.3
 * [new tag]         5.11.4.2   -> 5.11.4.2
 * [new tag]         5.11.5     -> 5.11.5
 * [new tag]         5.11.fxcup -> 5.11.fxcup
 * [new tag]         5.11.fxcup.1 -> 5.11.fxcup.1
+ git checkout 5.11.5
M	locale
Previous HEAD position was 9ad5641... Remove pp=100
HEAD is now at 44cd44b... only count uuid=None; those are verified transactions
+ git submodule update --init
remote: Counting objects: 550, done.
remote: Compressing objects: 100% (178/178), done.
remote: Total 471 (delta 277), reused 471 (delta 277)
Receiving objects: 100% (471/471), 8.98 MiB | 2.67 MiB/s, done.
Resolving deltas: 100% (277/277), completed with 36 local objects.
From git://github.com/clouserw/amo-locales
   375369d..1adbbad  master     -> origin/master
Submodule path 'locale': checked out '1adbbad576057083f9482581097418c5006e78e1'
+ set +x
+ git fetch -t origin
+ git checkout 5.11.5
HEAD is now at 44cd44b... only count uuid=None; those are verified transactions
+ git submodule update --init
+ set +x
Push live? [y/n]: n

[root@mradm02 zamboni]# schematic migrations
Running migration 49:
DROP TABLE `stats_firefoxcup`;

That took 0.13 seconds
################################################## 

Running migration 50:
ALTER TABLE collections
    ADD COLUMN `author_id` int(11) UNSIGNED,
    ADD CONSTRAINT FOREIGN KEY (`author_id`) REFERENCES `users` (`id`);

That took 6.57 seconds
##################################################
Comment 5 Jeremy Orem [:oremj] 2010-07-22 16:21:47 PDT
In [1]: from addons.models import Addon

In [2]: from stats.tasks import addon_total_contributions

In [3]: ids = Addon.objects.exclude(total_contributions=0).values_list('id', flat=True)

In [4]: addon_total_contributions(*ids)

In [5]:
Comment 6 Jeremy Orem [:oremj] 2010-07-22 16:28:37 PDT
All set.
Comment 7 krupa raj[:krupa] 2010-07-23 10:17:00 PDT
verified,thanks

Note You need to log in before you can comment on or make changes to this bug.